!  FUNCTIONS:
!	LJpotencial      - Vpoet Leonard - Jonesova potencilu pro dvojici atom
!

!*****************************************************************************
!
!  MODULE: Potencial
!
!  PURPOSE:	Simulace interaknho modelu
!
!*****************************************************************************

module Potencial
use Inicializace
implicit none
	
	double precision sr ! (sigma/r)**6

contains

!*****************************************************************************

	double precision function LJpotencial(x1,y1,z1, x2,y2,z2)
		double precision, intent(in) :: x1,y1,z1, x2,y2,z2

		sr = (sigma/sqrt((x1-x2)**2+(y1-y2)**2+(z1-z2)**2))**6
	 	LJpotencial = 4 * epsilon * (sr**2 - sr) 

	end function LJpotencial

!*****************************************************************************
	
end module Potencial