!  SUBROUTINES:
!	ZapisMolDraw	- Zape konfiguraci klastru (jeho teplotu i energii) do souboru ar_mc.xyz pro MolDraw
!

!*********************************************************************************************************
!
!  MODULE:  MolDraw
!
!  PURPOSE: Prohldnut si simulace a jejho vsledku v programu MolDraw
!
!*********************************************************************************************************

module MolDraw
use Inicializace
implicit none

contains

!*********************************************************************************************************

	subroutine ZapisMolDraw(x,y,z, energie, teplota)
		
		double precision, dimension (:), intent(in) :: x, y, z
		double precision, intent(in) :: energie
		double precision, intent(in) :: teplota
		
		write(30,fmt='(2I)') n			! Poet atom			
		write(30,*) teplota, energie	! Teplota a energie 
		do i2 = 1,n,1			
			write (30,*) 'Ar', x(i2),y(i2),z(i2) ! Jmno atomu a jeho souadnice
		end do

	end subroutine ZapisMolDraw

!*********************************************************************************************************

end module MolDraw